c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine lftpak(line)
c
c-----ATDM v1.00
c
c     Packs all text to left 
c
c-----95/06/01:
c     -from UAM-V Revision 1.2  94/02/10  20:57:44  tcm
c
c     Input arguments:
c               line:           input character string 
c     Output arguments:
c               line:           output packed character string
c     Called by:
c               setup 
c
      character*10 line
c
      nc = 10
      do 30 n3=1,nc
        do 20 nn=1,nc-1
          if (line(nn:nn) .eq. ' ') then
            do 10 n2=nn,nc-1
              line(n2:n2) = line(n2+1:n2+1)
   10       continue
            line(nc:nc) = ' '
          endif
   20   continue
   30 continue
      return
      end
