c
c     Copyright 1996, 2001 Systems Applications International
c       The REMSAD modeling system software is the property of SAI
c       and is protected by registered copyrights. Distribution of
c       the software outside of your organization is not permitted.
c       Preparation and distribution of any derivative software using
c       any portions of the REMSAD code, without the express permission
c       of SAI, is also not permitted. By accepting the REMSAD code
c       provided in this release, you are also accepting the
c       limitations, terms, and provisions of use as noted above.
      subroutine rdfsrf(nxf,nyf,nlus,ifsrf,flandf)
c
c-----ATDM v1.00
c
c     Reads a fine grid surface file 
c
c-----95/06/01:
c     -from UAM-V Revision 1.2  94/02/10  20:59:35  tcm
c-----95/10/03:
c     -temporarily coded to handle input file w/o fine grid buffer cells
c-----95/12/12:
c     -Removed temporary fix
c
c     Input arguments:
c               nxf:            number of fine grid cells in x-direction 
c               nyf:            number of fine grid cells in y-direction
c               nlus:           number of land use categories
c               ifsrf:          fine grid landuse file unit number
c     Output arguments:
c               flandf:         fine grid landuse array
c     Files read:
c               ifsrf:          fine grid landuse file
c     Called by:
c               setup
c
      dimension flandf(nxf,nyf,nlus)
c
      read(ifsrf) (((flandf(i,j,k),i=1,nxf),j=1,nyf),k=1,nlus)
c
      return
      end
